Jump to content
  • 0

Installation de Joomla4


paolo
 Share

Question

Bonjour,

Je viens de placer Joomla4 sur ma page par FTP et également en local.

J'ai fait des tests en local au cours desquels tout s'est bien passé (création du site et de la BDD.

En revanche, sur le site distant chez Yulpa, j'ai un message d'erreur qui me dit, en substance, que quelque chose s'est mal passé, avec une erreur 500. En creusant un peu, le site Joomla invite à modifier la fichier configuration. php en passant la valeur $debug à True. Or, comme le site n'a même pas pu être installé (en dehors du fait d'avoir copié les fichiers Joomla4) il n'y a pas de fichier configuration.php mais il y a bien, dans le répertoire installation, un fichier configuration.php-dist qui a déjà la valeur True à $debug.

Quelqu'un a-t-il rencontré ce problème ?

Quelqu'un a-t-il réussi à installer Joomla 4 chez Yulpa ?

Cordialement,

copecran20.jpg

copecran10.jpg

Link to comment
Share on other sites

14 answers to this question

Recommended Posts

  • 0

Bonjour,

Merci pour votre réponse.

Je ne l'avais pas évoqué mais j'ai testé avec le même insuccès sous PHP 7.4 et PHP 8.0 et en local, j'ai testé avec succès sous PHP 7.4 et sous 8.0 également.

J'insiste bien sur le fait que l'installation ne démarre même pas sous Yulpa.

Bien cordialement,

Link to comment
Share on other sites

  • 0

J'apporte des compléments :

Ayant douté de l'intégrité des fichiers, j'ai vidé puis rechargé le répertoire htdocs -> même erreur,

Comme la version chargée étant une versions française, j'ai vidé à nouveau pour installer la version officielle de joomla.org -> pas de progrès.

Pendant ce temps-là, en local tout marche à merveille.

J'ai émis un ticket chez Yulpa, j'attends.

Y en a-t-il qui ont installé Joomla 4 avec succès chez Yulpa ?

Link to comment
Share on other sites

  • 0

Bonjour,

Merci d'avoir cherché et essayé.

Cela dit, dans le forum joomla.org je n'ai peut-être pas tout compris. A priori, je n'ai pas l'impression que le problème soit résolu. De plus le post date de près d'un an et rien de clair depuis.

Un interlocuteur parle de mettre les chmod à 777, cela est surprenant et ne paraît pas sécurisant.

J'ai l'impression que nous sommes dans une impasse... ou je n'ai pas tout compris, ce qui pourrait être le cas car je ne suis pas un expert.

Link to comment
Share on other sites

  • 0

En fouillant un peu plus, je vois le post https://forum.joomla.org/viewtopic.php?f=803&t=981539

Or, il y est question de de la version J4 beta4 dev et il est dit que le problème ne se reproduit plus sur les version suivantes. Aujourd'hui;, nous sommes sur une version bien postérieure qui, semble-t-il, ne devrait plus être concernée par ce bug.

Par ailleurs, il y est indiqué d'intervenir dans la base phpmyadmin. Mais le problème, aujourd'hui, se produit bien avant d'aborder la prise en compte de la BDD par l'installation de Joomla 4.

Vraiment, je nage comme un jambon de Bayonne ;-)

Link to comment
Share on other sites

  • 0

Et si c'était un manque dans php ?

Une option a activer....

J'ai beau chercher, je ne vois rien sur leur forum ou autre. Mais effectivement, c'est un problème connu, pas terrible la réactivité chez Joomla...

Et oui, je confirme, le problème apparait bien avant la prise en compte de la BDD

Edited by Pascal
erreur
Link to comment
Share on other sites

  • 0

Oui, peut-être.

J'ai regardé dans les paramètres de configuration PHP et je ne vois pas où cela changerait quelque chose.

J'ajoute qu'après avoir parcouru un peu la toile sur cette erreur 500 relative à Joomla 4, les causes peuvent être différentes. Dans plusieurs cas, cela concernait les versions bêta. Aujourd'hui, nous sommes avec une version alpha, certes elle évoluera mais en attendant, il y a un problème, quel est-il et où est-il ?

Link to comment
Share on other sites

  • 0

Bonjour,

Avez-vous du nouveau sur ce sujet ?

Aujourd'hui (juillet 2022), j'essaie d'installer Joomla 4 et j'obtiens ce message :

"Mise à jour non disponible"
« Une mise à jour vers Joomla 4.1.5 a été trouvée mais il n'a pas été possible de télécharger cette mise à jour. Trois possibilités :
- Votre hôte ne supporte pas les exigences minimales pour Joomla 4.1.5 et il n'y a pas de téléchargement alternatif disponible pour votre configuration.
-La mise à jour de Joomla 4.1.5 n'est pas disponible pour votre niveau de stabilité.
- Il y a un problème avec le serveur de mise à jour de Joomla
»

Link to comment
Share on other sites

  • 0

Bonjour,

Comme mon site actuel fonctionne bien en Joomla 3, je n'ai pas été plus loin dans la tentative de résolution relative à J4.

Au début de ce post, je voulais effectivement commencer la MAJ de mon site en installation J4. Chez Yulpa, comme j'avais émis un ticket, on m'a proposé de changer de version de serveur mais cela demandait, selon Yulpa, certaines précautions. A l'époque je n'avais pas le temps de me pencher sur les problèmes éventuels que cela aurait pu générer. Du coup, je n'ai pas été plus avant et j'en suis donc toujours au même point. Pourtant il faudra bien que je passe sous J4.

Bien cordialement,

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...